Page MenuHomeFreeBSD

New Port: games/Cockactrice
ClosedPublic

Authored by sbruno on Apr 25 2016, 4:06 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 1, 10:33 AM
Unknown Object (File)
Sat, Jun 1, 8:09 AM
Unknown Object (File)
Mon, May 27, 10:42 AM
Unknown Object (File)
May 2 2024, 1:38 PM
Unknown Object (File)
May 2 2024, 1:38 PM
Unknown Object (File)
May 2 2024, 1:38 PM
Unknown Object (File)
May 2 2024, 1:38 PM
Unknown Object (File)
May 2 2024, 1:38 PM
Subscribers

Details

Summary

Cockatrice is a Magic The Gatering and Boardgame simulator with
the ability to fetch images and rules remotely. Mainly programmed in QT5.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 3495
Build 3535: arc lint + arc unit

Event Timeline

sbruno retitled this revision from to New Port: games/Cockactrice.
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
games/Cockatrice/Makefile
6

For software that don't do releases, don't choose an arbitrary version, do something like this:

PORTVERSION= 0.0.g2016.04.21

and use the commit date you put in GH_TAGNAME in the PORTVERSION.

17

This is the default and should be removed.

24

y ?

games/Cockatrice/pkg-plist
6

You should set something like:

DATADIR= ${PREFIX}/share/${PORTNAME:tl}

in the Makefile so that you get %%DATADIR%% here.

sbruno added inline comments.
games/Cockatrice/Makefile
24

huh ... I wonder why I didn't write "yes" ... fixed.

sbruno marked an inline comment as done.

Update date to today.

Date bump for distinfo as well.

games/Cockatrice/Makefile
5

The commit you used is from the 16th of April, so you should use that date, and not today's date.

One more update for the date to match the date of the commit
being used for the port.

sbruno added inline comments.
games/Cockatrice/Makefile
5

Bumped date and git hash to match.

mat added a reviewer: mat.
This revision is now accepted and ready to land.Apr 28 2016, 9:58 PM
This revision was automatically updated to reflect the committed changes.